WordPress.org

Support

Support » Plugins and Hacks » Front-end Editor » [Plugin: Front-end Editor] Serious issues with the new version

[Plugin: Front-end Editor] Serious issues with the new version

  • I’ve been having a number of issues with the Front-end Editor since upgrading to version 2, which has forced me to reinstall the old version.

    – The new edit overlay has a glitch in Google Chrome. Whenever I mouseover the text area, it instantly causes the browser to scroll up in a very glitchy way. This doesn’t happen in Firefox, but as Chrome reaches very high levels of standards compliance, I think this is worth looking into.
    – The introduction of the drop-down menu for editing categories and other taxonomies has resulted in a loss of functionality. Most posts on the website that I administer fall under more than one category. However, whenever I edit categories from the front-end, I can only select a single category.
    – Often when I make edits, it causes image-related data to break. For example, most posts on the website that I administer have an image with a CSS class and a caption. However, using the front-end editor now destroys the caption and somehow removes the CSS class on the image. This did not happen with the previous plugin.

    Even if you can’t reproduce the first and third issues, the second issue must be reconsidered. This is a really useful plugin, but categories are incredibly important for how our website organises content: I can’t risk having data accidentally lost because a plugin erases multiple categories.

Viewing 8 replies - 1 through 8 (of 8 total)
  • I am seeing all of these issues as well. The UI changes may well be a step backwards.

    Plugin Author scribu

    @scribu

    The new edit overlay has a glitch in Google Chrome.

    It works fine for me. Which theme are you using?

    The introduction of the drop-down menu for editing categories and other taxonomies has resulted in a loss of functionality.

    Ah, yes. See this tutorial:

    https://github.com/scribu/wp-front-end-editor/wiki/Editing-taxonomies

    Often when I make edits, it causes image-related data to break. […] This did not happen with the previous plugin.

    Which plugin would that be?

    (1) My own theme, but it uses fairly conventional positioning techniques. Am I right in suggesting that you altered the positioning method for the edit overlay in the latest version? (I haven’t looked very closely, but I notice that version 2 now has a fee-loading-edit class that uses absolute positioning).
    (2) Cheers. I’ll still be using the previous version for the meantime though: means I don’t have to poke around inside the plugin.
    (3) The “previous plugin” would be the previous version of Front-end Editor. I’ve downgraded and it’s working perfectly.

    Plugin Author scribu

    @scribu

    Am I right in suggesting that you altered the positioning method for the edit overlay in the latest version?

    Indeed. Previously, it just changed the background. I think the problem you were having is now fixed in the latest version (2.0.1).

    means I don’t have to poke around inside the plugin.

    You wouldn’t be poking inside the plugin, just adding some code to your theme’s functions.php file.

    Either way, sticking with 1.9.3 means I don’t have to change anything. 🙂 I can’t see any new features in version 2 that actually add functionality (as opposed to merely change functionality) so I’m happy to stay in the past until such time as the old version breaks. Thanks for the tips, though.

    Hi scribu,

    I’d like to let you know that I have used the code for editing taxonomies with terminput way but there was no edit button to click on in the categories. I also had to take out the <php? bit out because it was giving me an error when it was there.

    Do you have any other suggestions on how to fix that?
    Thank you in advance!

    Plugin Author scribu

    @scribu

    @m.Y.: You should open a new thread, which also includes the code you are using.

    Sorry, I thought since I have the same issue I can reply to this one as well. I will create a new one. Thank you!

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘[Plugin: Front-end Editor] Serious issues with the new version’ is closed to new replies.
Skip to toolbar